/// <reference types="react" />
import { AppProps } from 'antd';
import type { MessageInstance } from 'antd/es/message/interface';
import type { ModalStaticFunctions } from 'antd/es/modal/confirm';
import type { NotificationInstance } from 'antd/es/notification/interface';
declare let amessage: MessageInstance;
declare let anotify: NotificationInstance;
declare let amodal: Omit<ModalStaticFunctions, 'warn'>;
export interface AntAppProps extends AppProps {
    minPrimaryColor: string;
}
/**
 * 入口App封装
 * @component
 */
export declare const AntApp: ({ minPrimaryColor, children, style, ...pp }: React.PropsWithChildren & Partial<AntAppProps>) => import("react").JSX.Element;
export { amessage, anotify, amodal };
