import { HtmlHTMLAttributes } from 'react';
import { LinkComponent } from '../common';
export interface TabListItem {
    title: string;
    active?: boolean;
    url: string;
}
export interface TabListProps extends HtmlHTMLAttributes<HTMLDivElement> {
    linkComponent?: LinkComponent;
    items: TabListItem[];
    itemWidth?: string | number;
    itemClass?: string;
    space?: string | number;
}
export declare const TabList: React.FC<TabListProps>;
