/// <reference types="react" />
import type { AliasToken, GlobalToken } from 'antd/lib/theme/interface';
export declare const ThemeProvider: import("react").Provider<{
    setToken: React.Dispatch<React.SetStateAction<Partial<any>>>;
}>;
export declare function useUpdateTheme<T>(): import("react").Dispatch<import("react").SetStateAction<Partial<T>>>;
export declare function useTheme<T extends GlobalToken = GlobalToken>(): T;
export declare function useInitTheme<T extends GlobalToken = GlobalToken>({ token }: {
    token: Partial<T>;
}): [AliasToken, React.Dispatch<React.SetStateAction<Partial<T>>>];
export { GlobalToken as GlobalTheme };
