/// <reference types="react" />
import { AntAppProps } from "../min-components";
import { ConfigProviderProps } from "antd/es/config-provider";
import { RouteObject } from 'react-router-dom';
export declare const ReactAppWrap: React.FC<{
    config?: ConfigProviderProps;
    app?: Partial<AntAppProps>;
    children?: React.ReactNode;
    basename?: string;
    routes: RouteObject[];
    store?: any;
}>;
export declare const App: ({ routes, children }: {
    routes: RouteObject[];
    children: React.ReactNode;
}) => import("react").JSX.Element;
