import React from 'react';
import { NavigateFunction, Params, Location } from 'react-router-dom';
export interface RouteViewProps {
    router?: {
        location: Location;
        navigator: NavigateFunction;
        params: Readonly<Params<string>>;
    };
}
export declare function RouteView<P extends RouteViewProps>(component: React.FunctionComponent<P>): React.FunctionComponent<P>;
