import React, { HTMLAttributes } from 'react';
export interface NavHeaderProps extends HTMLAttributes<HTMLDivElement> {
    height?: number | string;
    position?: 'absolute' | 'fixed';
    blur?: boolean;
    shadow?: boolean;
    containerClass?: string;
    containerStyle?: React.CSSProperties;
}
export declare const NavHeader: React.FC<NavHeaderProps>;
export interface NavWrapProps extends HTMLAttributes<HTMLDivElement> {
}
export declare const NavWrap: React.FC<NavWrapProps>;
