import i18n from "i18next";
export declare function setLang(lang: string): void;
export declare function bindLang<T>(ns: string, { zh, en }?: {
    zh?: T;
    en?: T;
}): {
    use: () => T;
    setEn: (v: Partial<T>) => import("i18next").i18n;
    setZh: (v: Partial<T>) => import("i18next").i18n;
};
export declare function useLocale<T = any>(ns: string): T;
export declare function useInitLocale({ lng, antdLangs, }: {
    lng: string;
    antdLangs: any;
}): any[];
export declare const zhLang = "zh";
export declare const enLang = "en";
export { i18n };
