/// <reference types="react" />
import { AntAppProps } from '../min-components';
import type { ConfigProviderProps } from 'antd/es/config-provider';
import { RouteObject } from 'react-router-dom';
export interface ReactAppConfig<T = any> {
    app?: Partial<AntAppProps>;
    config?: ConfigProviderProps;
    routes?: RouteObject[];
    basename?: string;
    store?: T;
}
export declare function createReactApp<T = any>({ app, config, basename, routes, store, }: ReactAppConfig<T>): () => import("react").JSX.Element;
export type { RouteObject };
