import { EventHandler, SyncEmitter2, SyncEmitter3, SyncEmitter4, SyncSubscriber2, SyncSubscriber3, SyncSubscriber4 } from "../event";
import { CConfig, CConfigEvents } from "./config";
import { Config, ConfigManager } from "./types";
declare class CConfigManager extends CConfig implements CConfigEvents, ConfigManager {
    private m;
    private h;
    onConfigInited: SyncSubscriber2<Config, any>;
    onConfigChanged: SyncSubscriber4<Config, string, any, any>;
    onConfigAdded: SyncSubscriber3<Config, string, Config>;
    onConfigRemoved: SyncSubscriber3<Config, string, Config>;
    emitInited: SyncEmitter2<Config, any>;
    emitDataChanged: SyncEmitter4<Config, string, any, any>;
    emitConfigAdded: SyncEmitter3<Config, string, Config>;
    emitConfigRemoved: SyncEmitter3<Config, string, Config>;
    constructor(m: EventHandler);
}
export declare function createConfiger(m: EventHandler): CConfigManager;
export {};
